Index: tmp/org.txm.referencer.rcp/.project
===================================================================
--- tmp/org.txm.referencer.rcp/.project	(revision 0)
+++ tmp/org.txm.referencer.rcp/.project	(revision 632)
@@ -0,0 +1,28 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<projectDescription>
+	<name>org.txm.referencer.rcp</name>
+	<comment></comment>
+	<projects>
+	</projects>
+	<buildSpec>
+		<buildCommand>
+			<name>org.eclipse.jdt.core.javabuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.ManifestBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+		<buildCommand>
+			<name>org.eclipse.pde.SchemaBuilder</name>
+			<arguments>
+			</arguments>
+		</buildCommand>
+	</buildSpec>
+	<natures>
+		<nature>org.eclipse.pde.PluginNature</nature>
+		<nature>org.eclipse.jdt.core.javanature</nature>
+	</natures>
+</projectDescription>

Property changes on: tmp/org.txm.referencer.rcp/.project
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ReferencerToConc.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ReferencerToConc.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ReferencerToConc.java	(revision 632)
@@ -0,0 +1,138 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.referencer.rcp.handlers;
+
+import java.util.List;
+
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.ISelection;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.ui.IWorkbenchPage;
+import org.eclipse.ui.PartInitException;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.concordance.core.functions.Concordance;
+import org.txm.concordance.rcp.editors.ConcordanceEditor;
+import org.txm.rcp.RCPMessages;
+import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.referencer.core.functions.Referencer;
+import org.txm.referencer.core.functions.Referencer.Line;
+import org.txm.referencer.rcp.editors.ReferencerEditor;
+import org.txm.searchengine.cqp.ReferencePattern;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.searchengine.cqp.corpus.query.Query;
+
+// TODO: Auto-generated Javadoc
+/**
+ * The Class ReferencerToConc.
+ */
+public class ReferencerToConc extends AbstractHandler {
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		IStructuredSelection selection = (IStructuredSelection) HandlerUtil
+		.getActiveWorkbenchWindow(event).getActivePage().getSelection();
+
+		ReferencerEditor refeditor = (ReferencerEditor) HandlerUtil
+		.getActiveWorkbenchWindow(event).getActivePage()
+		.getActivePart();
+
+		return link(refeditor, selection);
+	}
+
+	/**
+	 * Link.
+	 *
+	 * @param refeditor the refeditor
+	 * @param iSelection the selection
+	 * @return the object
+	 */
+	public static Object link(ReferencerEditor refeditor, ISelection iSelection)
+	{
+		IStructuredSelection selection = (IStructuredSelection) iSelection;
+		String query = getQuery(refeditor.getReferencer(), selection);
+		if (query.length() == 0)
+			return null;
+		Corpus corpus = refeditor.getCorpus();
+		Concordance concordance = new Concordance(corpus);
+		
+		ReferencePattern rp = new ReferencePattern();
+		for (Property p : refeditor.getReferencer().getPattern())
+			rp.addProperty(p);
+		
+		concordance.setParameters(new Query(query), null, null, null, null, null, null, rp, rp, null, null);
+		TXMResultEditorInput editorInput = new TXMResultEditorInput(concordance);
+
+		IWorkbenchPage page = refeditor.getEditorSite().getWorkbenchWindow().getActivePage();
+		try {
+			ConcordanceEditor conceditor = (ConcordanceEditor) page.openEditor(editorInput,
+					ConcordanceEditor.class.getName()); //$NON-NLS-1$
+		} catch (PartInitException e) {
+			System.err.println("Error: "+e.getLocalizedMessage());
+		}
+
+		return null;
+	}
+
+	/**
+	 * Gets the query.
+	 *
+	 * @param selection the selection
+	 * @return the query
+	 */
+	private static String getQuery(Referencer referencer, IStructuredSelection selection) {
+		String query = ""; //$NON-NLS-1$
+
+		Line fline = (Line) selection.getFirstElement();
+		int nbToken = 1;
+
+		List<Line> lines = selection.toList();
+
+		Property prop = referencer.getProperty();
+		for (int t = 0; t < nbToken; t++) 
+		{
+			query += "["+prop + "=\""; //$NON-NLS-1$ //$NON-NLS-2$
+
+			for (Line line : lines) {
+				String s = line.getPropValue();
+				s = Query.addBackSlash(s);
+				query += s + "|"; //$NON-NLS-1$
+			}
+			query = query.substring(0, query.length() - 1);
+			query += "\"] "; //$NON-NLS-1$
+		}
+		query = query.substring(0, query.length() - 1);
+		return query;
+	}
+}

Property changes on: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ReferencerToConc.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ComputeReferencer.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ComputeReferencer.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ComputeReferencer.java	(revision 632)
@@ -0,0 +1,80 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.referencer.rcp.handlers;
+
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.handlers.BaseAbstractHandler;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.referencer.core.functions.Referencer;
+import org.txm.referencer.rcp.editors.ReferencerEditor;
+import org.txm.searchengine.cqp.corpus.Corpus;
+
+/**
+ * Opens the Referencer editor with a corpus or a Referencer result .
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ */
+public class ComputeReferencer extends BaseAbstractHandler {
+	
+	// adds a double click listener to the Corpus View
+	static	{
+		CorporaView.addDoubleClickListener(Referencer.class, ComputeReferencer.class);
+	}
+	
+
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		if (!this.checkCorpusEngine()) {
+			return false;
+		}
+		
+		Object selection = this.getSelection(event);
+		Referencer referencer = null;
+		
+		// Creating from Corpus
+		if (selection instanceof Corpus) {
+			referencer = new Referencer((Corpus)selection);
+		}
+		// Reopening from existing result
+		else if (selection instanceof Referencer) {
+			referencer = (Referencer)selection;
+		}
+		// Error
+		else	{
+			return super.logCanNotCompute(selection);
+		}
+		
+		TXMEditor.openEditor(referencer, ReferencerEditor.ID); //$NON-NLS-1$
+		
+		return null;
+	}
+	
+}

Property changes on: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/handlers/ComputeReferencer.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java	(revision 632)
@@ -0,0 +1,73 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.referencer.rcp.preferences;
+
+import org.eclipse.jface.preference.BooleanFieldEditor;
+import org.txm.rcp.RCPMessages;
+import org.txm.rcp.preferences.RCPPreferences;
+import org.txm.rcp.preferences.RCPPreferencesPage;
+
+/**
+ * This class represents a preference page that is contributed to the
+ * Preferences dialog. By subclassing <samp>FieldEditorPreferencePage</samp>, we
+ * can use the field support built into JFace that allows us to create a page
+ * that is small and knows how to save, restore and apply itself.
+ * <p>
+ * This page is used to modif y preferences only. They are stored in the
+ * preference store that belongs to the main plug-in class. That way,
+ * preferences can be accessed directly via the preference store.
+ */
+
+public class ReferencerPreferencePage extends RCPPreferencesPage {
+
+	/** The referencer_sorttype. */
+	private BooleanFieldEditor referencer_sorttype;
+
+	/**
+	 * Instantiates a new referencer preference page.
+	 */
+	public ReferencerPreferencePage() {
+		super();
+		setTitle(RCPMessages.ReferencerPreferencePage_2);
+	}
+
+	/**
+	 * Creates the field editors. Field editors are abstractions of the common
+	 * GUI blocks needed to manipulate various types of preferences. Each field
+	 * editor knows how to save and restore itself.
+	 */
+	@Override
+	public void createFieldEditors() {
+
+		referencer_sorttype = new BooleanFieldEditor(RCPPreferences.SORTBYFREQ,
+				RCPMessages.ReferencerPreferencePage_3, getFieldEditorParent());
+		
+		addField(referencer_sorttype);
+
+	}
+}

Property changes on: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/preferences/ReferencerPreferencePage.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/adapters/ReferencerAdapterFactory.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/adapters/ReferencerAdapterFactory.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/adapters/ReferencerAdapterFactory.java	(revision 632)
@@ -0,0 +1,39 @@
+// Copyright © 2010-2013 ENS de Lyon.
+package org.txm.referencer.rcp.adapters;
+
+import org.eclipse.jface.resource.ImageDescriptor;
+import org.eclipse.ui.model.IWorkbenchAdapter;
+import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.osgi.framework.FrameworkUtil;
+import org.txm.rcp.adapters.TXMResultAdapter;
+import org.txm.rcp.adapters.TXMResultAdapterFactory;
+import org.txm.referencer.core.functions.Referencer;
+
+/**
+ * A factory for creating Adapter objects.
+ * 
+ * @author mdecorde
+ * @author sjacquot
+ */
+public class ReferencerAdapterFactory extends TXMResultAdapterFactory {
+
+	
+	public static final ImageDescriptor ICON =
+			AbstractUIPlugin.imageDescriptorFromPlugin(FrameworkUtil.getBundle(ReferencerAdapterFactory.class).getSymbolicName(),
+					"platform:/plugin/"+ FrameworkUtil.getBundle(ReferencerAdapterFactory.class).getSymbolicName() + "/icons/functions/Referencer.png"); //$NON-NLS-1$
+
+	@Override
+	public Object getAdapter(Object adaptableObject, Class adapterType) {
+		if(adapterType == IWorkbenchAdapter.class && adaptableObject instanceof Referencer)	{
+			return new TXMResultAdapter() {
+				@Override
+				public ImageDescriptor getImageDescriptor(Object object) {
+					return ICON;
+				}
+			};
+		}
+		return null;
+	}
+
+
+}

Property changes on: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/adapters/ReferencerAdapterFactory.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/LineLabelProvider.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/LineLabelProvider.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/LineLabelProvider.java	(revision 632)
@@ -0,0 +1,105 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.referencer.rcp.editors;
+
+import org.eclipse.jface.viewers.ILabelProviderListener;
+import org.eclipse.jface.viewers.ITableLabelProvider;
+import org.eclipse.swt.graphics.Image;
+import org.txm.referencer.core.functions.Referencer;
+
+
+// TODO: Auto-generated Javadoc
+/**
+ * The Class LineLabelProvider.
+ */
+public class LineLabelProvider implements ITableLabelProvider {
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnImage(java.lang.Object, int)
+	 */
+	@Override
+	public Image getColumnImage(Object element, int columnIndex) {
+		return null;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.viewers.ITableLabelProvider#getColumnText(java.lang.Object, int)
+	 */
+	@Override
+	public String getColumnText(Object element, int columnIndex) {
+		Referencer.Line line = (Referencer.Line) element;
+		switch (columnIndex) {
+		case 0:
+			return ""; //$NON-NLS-1$
+		case 1:
+			return line.getPropValue();
+		case 2:
+			StringBuffer str = new StringBuffer();
+			for(String ref : line.getReferences())
+			{
+				str.append(", "+ref+"("+line.getCount(ref)+")"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+			}
+			return str.substring(2); 
+		default:
+			return ""; //$NON-NLS-1$
+		}
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.viewers.IBaseLabelProvider#addListener(org.eclipse.jface.viewers.ILabelProviderListener)
+	 */
+	@Override
+	public void addListener(ILabelProviderListener listener) {
+		// TODO Auto-generated method stub
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.viewers.IBaseLabelProvider#dispose()
+	 */
+	@Override
+	public void dispose() {
+		// TODO Auto-generated method stub
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.viewers.IBaseLabelProvider#isLabelProperty(java.lang.Object, java.lang.String)
+	 */
+	@Override
+	public boolean isLabelProperty(Object element, String property) {
+		// TODO Auto-generated method stub
+		return false;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.jface.viewers.IBaseLabelProvider#removeListener(org.eclipse.jface.viewers.ILabelProviderListener)
+	 */
+	@Override
+	public void removeListener(ILabelProviderListener listener) {
+		// TODO Auto-generated method stub
+	}
+}

Property changes on: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/LineLabelProvider.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java	(revision 632)
@@ -0,0 +1,598 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.referencer.rcp.editors;
+
+import java.util.ArrayList;
+import java.util.Collections;
+import java.util.List;
+
+import org.eclipse.core.runtime.IProgressMonitor;
+import org.eclipse.jface.action.MenuManager;
+import org.eclipse.jface.viewers.TableViewer;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.events.KeyEvent;
+import org.eclipse.swt.events.KeyListener;
+import org.eclipse.swt.events.MouseAdapter;
+import org.eclipse.swt.events.MouseEvent;
+import org.eclipse.swt.events.SelectionEvent;
+import org.eclipse.swt.events.SelectionListener;
+import org.eclipse.swt.graphics.Font;
+import org.eclipse.swt.graphics.FontData;
+import org.eclipse.swt.graphics.Point;
+import org.eclipse.swt.layout.GridData;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Button;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Display;
+import org.eclipse.swt.widgets.Menu;
+import org.eclipse.swt.widgets.TableColumn;
+import org.eclipse.ui.IEditorInput;
+import org.eclipse.ui.IEditorSite;
+import org.eclipse.ui.PartInitException;
+import org.txm.core.preferences.TXMPreferences;
+import org.txm.core.results.TXMResult;
+import org.txm.rcp.RCPMessages;
+import org.txm.rcp.StatusLine;
+import org.txm.rcp.editors.TXMEditor;
+import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.rcp.editors.TableKeyListener;
+import org.txm.rcp.preferences.RCPPreferences;
+import org.txm.rcp.swt.widget.NavigationWidget;
+import org.txm.rcp.swt.widget.PropertiesSelector;
+import org.txm.rcp.swt.widget.QueryWidget;
+import org.txm.rcp.views.QueriesView;
+import org.txm.rcp.views.corpora.CorporaView;
+import org.txm.referencer.core.functions.Referencer;
+import org.txm.referencer.core.functions.Referencer.Line;
+import org.txm.referencer.rcp.handlers.ReferencerToConc;
+import org.txm.searchengine.cqp.clientExceptions.CqiClientException;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
+import org.txm.searchengine.cqp.corpus.query.Query;
+import org.txm.statsengine.r.rcp.views.RVariablesView;
+
+/**
+ * The Class ReferencerEditor display&update a Referencer TXMResult
+ */
+public class ReferencerEditor extends TXMEditor<Referencer> {
+
+	/** The Constant ID. */
+	public static final String ID = ReferencerEditor.class.getName();
+	
+	/** The corpus. */
+	Corpus corpus;
+	
+	/** The referencer. */
+	Referencer referencer;
+
+	/** The querywidget. */
+	QueryWidget querywidget;
+	
+	/** The props area. */
+	protected PropertiesSelector<Property> propsArea;
+	
+	/** The pattern area. */
+	protected PropertiesSelector<StructuralUnitProperty> patternArea;
+	
+	/** The navigation area. */
+	NavigationWidget navigationArea;
+
+	/** The line table viewer. */
+	protected TableViewer viewer;
+	
+	/** The n column. */
+	protected TableColumn nColumn;
+	
+	/** The unit column. */
+	protected TableColumn unitColumn;
+	
+	/** The freq column. */
+	protected TableColumn freqColumn;
+	
+	/** The separator column. */
+	protected TableColumn separatorColumn;
+
+	/** The lineperpage. */
+	int lineperpage = 100;
+	
+	/** The top line. */
+	int topLine=0;
+	
+	/** The bottom line. */
+	int bottomLine;
+
+	
+	
+	/** The mess. */
+	String mess;
+
+	
+	@Override
+	public void init(IEditorSite site, IEditorInput input)
+	throws PartInitException {
+		setSite(site);
+		setInput(input);
+
+		if (!(input instanceof TXMResultEditorInput)) {
+			throw new PartInitException("Editor input is not a TXMResultEditorInput input editor: "+input);
+		}
+		
+		TXMResult result = ((TXMResultEditorInput) input).getResult();
+		
+		if (!(result instanceof Referencer)) {
+			throw new PartInitException("TXMResult input is not a Referencer result: "+result);
+		}
+		
+		this.referencer = ((Referencer) result);
+		this.corpus = referencer.getCorpus();
+		
+	}
+
+	
+	/**
+	 * Compute.
+	 *
+	 * @return true, if successful
+	 */
+	@Override
+	public void updateEditorFromResult(boolean update) {
+		
+//		JobHandler jobhandler = new JobHandler("refreshing...") {
+//			@Override
+//			protected IStatus run(IProgressMonitor monitor) {
+//				this.runInit(monitor);
+//				try {
+//					JobsTimer.start();
+//									
+//					monitor.worked(50);
+//
+//					monitor.subTask(RCPMessages.ReferencerEditor_13);
+//					syncExec(new Runnable() {
+//						@Override
+//						public void run() {
+							fillDisplayArea(0, lineperpage);
+							CorporaView.refresh();
+							CorporaView.expand(corpus);
+							QueriesView.refresh();
+							RVariablesView.refresh();
+							//setPartName(referencer.getName()); //$NON-NLS-1$
+							
+							viewer.getTable().setFocus();
+							System.out.println(NLS.bind(RCPMessages.CreatePartition_5, referencer.getNLines(), referencer.getV()));
+//						}
+//					});
+//
+//					monitor.worked(100);
+//				} catch (ThreadDeath td) {
+//					return Status.CANCEL_STATUS;
+//				} catch (Exception e) {
+//					org.txm.rcp.utils.Logger.printStackTrace(e);
+//				} finally {
+//					monitor.done();
+//					JobsTimer.stopAndPrint();
+//				}
+//				return Status.OK_STATUS;
+//			}
+//		};
+//		jobhandler.startJob();
+
+		return;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.WorkbenchPart#createPartControl(org.eclipse.swt.widgets.Composite)
+	 */
+	@Override
+	public void _createPartControl(Composite parent) {
+//		super.createPartControl(parent);
+		
+		parent.setLayout(new GridLayout(1,true));
+		Composite paramArea = getCommandParametersGroup();
+		paramArea.setLayout(new GridLayout(3, false));
+		
+		querywidget = new QueryWidget(paramArea, SWT.None);
+		querywidget.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, false));
+		querywidget.addKeyListener(new KeyListener() {
+			@Override
+			public void keyReleased(KeyEvent e) { }
+
+			@Override
+			public void keyPressed(KeyEvent e) {
+				if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
+					referencer.setQuery(querywidget.getQuery());
+					compute(true);
+				}
+			}
+		});
+
+		// [Edit]
+		propsArea = new PropertiesSelector<Property>(paramArea, SWT.NONE);
+		propsArea.setMaxPropertyNumber(1);
+		propsArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
+				false, false));
+		propsArea.setLayout(new GridLayout(3, false));
+		propsArea.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				referencer.setProperty(propsArea.getSelectedProperties().get(0));
+				compute(true);
+			}
+			
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) { }
+		});
+		
+		// [Search]
+		Button go = new Button(paramArea, SWT.PUSH);
+		go.setText(RCPMessages.SEARCH);
+		go.setLayoutData(new GridData(GridData.FILL, GridData.FILL,
+				false, false));
+		Font f = go.getFont();
+		FontData defaultFont = f.getFontData()[0];
+		defaultFont.setStyle(SWT.BOLD);
+		Font newf = new Font(go.getDisplay(), defaultFont);
+		go.setFont(newf);
+
+		go.setLayoutData(new GridData(SWT.LEFT, SWT.CENTER, false, false));
+		go.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				updateResultFromEditor();
+				compute(true);
+			}
+
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) { }
+		});
+
+		// [pattern : ... ]
+		patternArea = new PropertiesSelector<StructuralUnitProperty>(paramArea, SWT.NONE);
+		patternArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL, false, false,3,1));
+		patternArea.setLayout(new GridLayout(3, false));
+		patternArea.setText(RCPMessages.ReferencerEditor_6);
+		patternArea.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				referencer.setPattern(patternArea.getSelectedProperties());
+				compute(true);
+			}
+			
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) { }
+		});
+
+		//pagination
+		navigationArea = new NavigationWidget(paramArea, SWT.None);
+		navigationArea.setLayoutData(new GridData(GridData.FILL, GridData.FILL,	true, false,3 ,1));
+
+		navigationArea.addFirstListener(new SelectionListener() {
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				StatusLine.setMessage(RCPMessages.ReferencerEditor_17);
+				fillDisplayArea(0, lineperpage);
+				viewer.getTable().select(0);
+				viewer.getTable().showSelection();
+				StatusLine.setMessage(""); //$NON-NLS-1$
+			}
+		});
+		navigationArea.addLastListener(new SelectionListener() {
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				StatusLine.setMessage(RCPMessages.ReferencerEditor_19);
+				fillDisplayArea(referencer.getNLines()
+						- lineperpage, referencer.getNLines());
+				viewer.getTable().select(0);
+				viewer.getTable().showSelection();
+				StatusLine.setMessage(""); //$NON-NLS-1$
+			}
+		});
+		navigationArea.addNextListener(new SelectionListener() {
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				StatusLine.setMessage(RCPMessages.ReferencerEditor_21);
+				fillDisplayArea(topLine + lineperpage,
+						bottomLine + lineperpage);
+				viewer.getTable().select(0);
+				viewer.getTable().showSelection();
+				StatusLine.setMessage(""); //$NON-NLS-1$
+			}
+		});
+		navigationArea.addPreviousListener(new SelectionListener() {
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+				StatusLine.setMessage(RCPMessages.ReferencerEditor_23);
+				fillDisplayArea(topLine - lineperpage,
+						bottomLine - lineperpage);
+				viewer.getTable().select(0);
+				viewer.getTable().showSelection();
+				StatusLine.setMessage(""); //$NON-NLS-1$
+			}
+		});
+		
+		//result
+
+		Composite resultArea = getResultArea();
+		resultArea.setLayout(new GridLayout(1, false));
+		
+		viewer = new TableViewer(resultArea, SWT.MULTI | SWT.FULL_SELECTION | SWT.BORDER);
+		viewer.getTable().addKeyListener(new TableKeyListener(viewer));
+		if (corpus != null && corpus.getFont() != null && corpus.getFont().length() > 0) {
+			Font old = viewer.getTable().getFont();
+			FontData fD = old.getFontData()[0];
+			//Font f = new Font(old.getDevice(), corpus.getFont(), fD.getHeight(), fD.getStyle());
+			Font font = new Font(Display.getCurrent(), corpus.getFont(), fD.getHeight(), fD.getStyle()); 
+			viewer.getTable().setFont(font);
+		}
+		
+		viewer.getTable().setLayoutData(new GridData(GridData.FILL, GridData.FILL, true, true));
+		viewer.getTable().setLinesVisible(true);
+		viewer.getTable().setHeaderVisible(true);
+
+		viewer.setLabelProvider(new LineLabelProvider());
+		viewer.setContentProvider(new LineContentProvider());
+		viewer.setInput(new ArrayList<Property>());
+
+		viewer.getTable().addMouseListener(new MouseAdapter() {
+			@Override
+			public void mouseDoubleClick(MouseEvent e) {
+				
+				Point mouseposition = new Point(e.x
+						+ viewer.getTable().getHorizontalBar()
+						.getSelection(), e.y);
+				int col = getPointedColumn(mouseposition);
+				if (col == 1) {
+					StatusLine.setMessage(RCPMessages.ReferencerEditor_25);
+					sendSelectionToConc();
+				} else if (col == 2) {
+					//System.out.println("Send to edition ?"); //$NON-NLS-1$
+				}
+			}
+		});
+
+		nColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
+		nColumn.setText(" "); //$NON-NLS-1$
+		nColumn.pack();
+
+		unitColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
+		unitColumn.setText(RCPMessages.ReferencerEditor_9);
+		unitColumn.setToolTipText(RCPMessages.ReferencerEditor_9);
+		unitColumn.setWidth(200);
+		unitColumn.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+
+			}
+
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+		});
+
+		freqColumn = new TableColumn(viewer.getTable(), SWT.LEFT);
+		freqColumn.setText(RCPMessages.ReferencerEditor_11);
+		freqColumn.setToolTipText(RCPMessages.ReferencerEditor_11);
+		freqColumn.setWidth(100);
+		freqColumn.addSelectionListener(new SelectionListener() {
+			@Override
+			public void widgetSelected(SelectionEvent e) {
+
+			}
+
+			@Override
+			public void widgetDefaultSelected(SelectionEvent e) {
+			}
+		});
+		
+		initializeFields();
+		
+		
+		// Register the context menu
+		TXMEditor.initContextMenu(this.viewer.getTable(), "ReferencerEditorContextMenu", this.getSite(), this.viewer); // $NON-NLS-1$
+
+		
+	}
+	
+
+
+	/**
+	 * Send selection to conc.
+	 */
+	protected void sendSelectionToConc() {
+		ReferencerToConc.link(this, this.viewer.getSelection());
+	}
+
+	/**
+	 * Fill display area.
+	 *
+	 * @param from the from
+	 * @param to the to
+	 */
+	public void fillDisplayArea(int from, int to) {
+		from = Math.max(from, 0);
+		to = Math.min(to, referencer.getNLines());
+		List<Line> lines = null;
+		if (referencer.getNLines() > 0) {
+			try {
+				lines = referencer.getLines(from, to);
+			} catch (Exception e) {
+				org.txm.rcp.utils.Logger.printStackTrace(e);
+				lines = new ArrayList<Line>();
+			}
+		} else {
+			lines = new ArrayList<Line>();
+		}
+		
+		navigationArea.setInfoLineText(""+(from + 1), //$NON-NLS-1$
+				"-" + (to) + " / " + referencer.getNLines()); //$NON-NLS-1$ //$NON-NLS-2$
+		navigationArea.setPreviousEnabled(from > 0);
+		navigationArea.setFirstEnabled(from > 0);
+		navigationArea.setNextEnabled(to < referencer.getNLines() - 1);
+		navigationArea.setLastEnabled(to < referencer.getNLines() - 1);
+
+		unitColumn.setText(referencer.getProperty().getName());
+
+		String unitColumnHeader = ""; //$NON-NLS-1$
+		for (Property p : referencer.getPattern())
+			unitColumnHeader += p.getName() + ", "; //$NON-NLS-1$
+		if (unitColumnHeader.length() > 0)
+			unitColumnHeader = unitColumnHeader.substring(0, unitColumnHeader
+					.length() - 2);
+		freqColumn.setText(unitColumnHeader);
+
+		viewer.setInput(lines);
+		viewer.refresh();
+		// System.out.println("table refreshed from "+from+" to "+to+" with : "+lines);
+		topLine = from;
+		bottomLine = to;
+		for (TableColumn col : viewer.getTable().getColumns()) {
+			col.pack();
+		}
+	}
+
+	/**
+	 * Gets the pointed column.
+	 *
+	 * @param mouseposition the mouseposition
+	 * @return the pointed column
+	 */
+	public int getPointedColumn(Point mouseposition) {
+		int x = mouseposition.x; // + lineTableViewer.getTable().get;
+		int sumWidthColumn = this.nColumn.getWidth();
+		if (x < sumWidthColumn)
+			return 0;
+
+		sumWidthColumn += this.unitColumn.getWidth();
+		if (x < sumWidthColumn)
+			return 1;
+
+		sumWidthColumn += this.freqColumn.getWidth();
+		if (x < sumWidthColumn)
+			return 2;
+
+		return 2;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.part.WorkbenchPart#setFocus()
+	 */
+	@Override
+	public void setFocus() {
+		querywidget.setFocus();
+	}
+
+	/**
+	 * Gets the referencer.
+	 *
+	 * @return the referencer
+	 */
+	public Referencer getReferencer() {
+		return this.referencer;
+	}
+
+	/**
+	 * Gets the corpus.
+	 *
+	 * @return the corpus
+	 */
+	public Corpus getCorpus() {
+		return this.corpus;
+	}
+
+	protected void initializeFields() {
+		// word properties
+		try {
+			ArrayList<Property> selectedProps = new ArrayList<Property>();
+			ArrayList<Property> availables = new ArrayList<Property>();
+			availables.addAll(corpus.getOrderedProperties());
+			
+			if (referencer.getProperty() != null) {
+				selectedProps.add(referencer.getProperty());
+				availables.remove(referencer.getProperty());
+				this.propsArea.setProperties(availables, selectedProps);
+			} else {
+				this.propsArea.setCorpus(corpus);
+			}
+			
+		} catch (CqiClientException e1) {
+			org.txm.rcp.utils.Logger.printStackTrace(e1);
+		}
+		
+		// references
+		
+		try {
+			ArrayList<StructuralUnitProperty> availables2 = new ArrayList<StructuralUnitProperty>();
+			availables2.addAll(corpus.getStructuralUnitProperties());
+			Collections.sort(availables2);
+			
+			ArrayList<StructuralUnitProperty> selectedProps = new ArrayList<StructuralUnitProperty>();
+			if (referencer.getPattern() != null) {
+				for(StructuralUnitProperty p : referencer.getPattern()) {
+					selectedProps.add(p);
+					availables2.remove(p);
+				}
+			}
+			
+			this.patternArea.setProperties(availables2, selectedProps);
+		} catch (CqiClientException e1) {
+			org.txm.rcp.utils.Logger.printStackTrace(e1);
+			return;
+		}
+		
+		if (referencer.getQuery() != null) {
+			this.querywidget.setText(referencer.getQuery().getQueryString());
+		}
+	}
+
+	@Override
+	public void updateResultFromEditor() {
+		final Query query = querywidget.getQuery();
+		final List<Property> queryprops = propsArea.getSelectedProperties();
+		final List<StructuralUnitProperty> refs = patternArea.getSelectedProperties();
+		boolean hierarchicSort = TXMPreferences.getBoolean(RCPPreferences.SORTBYFREQ, RCPPreferences.PREFERENCES_NODE);
+		
+		referencer.setParameters(query, queryprops.get(0), refs, hierarchicSort);
+	}
+}

Property changes on: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/ReferencerEditor.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/LineContentProvider.java
===================================================================
--- tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/LineContentProvider.java	(revision 0)
+++ tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/LineContentProvider.java	(revision 632)
@@ -0,0 +1,82 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.referencer.rcp.editors;
+
+import java.util.List;
+
+import org.eclipse.jface.viewers.IStructuredContentProvider;
+import org.eclipse.jface.viewers.Viewer;
+import org.txm.referencer.core.functions.Referencer;
+
+
+// TODO: Auto-generated Javadoc
+/**
+ * The IStructuredContentProvider used by the reference and line tables.
+ *
+ * @author mdecorde
+ */
+public class LineContentProvider implements IStructuredContentProvider {
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see
+	 * org.eclipse.jface.viewers.IStructuredContentProvider#getElements(java
+	 * .lang.Object)
+	 */
+	@Override
+	public Object[] getElements(Object inputElement) {
+		@SuppressWarnings("unchecked")
+		List<Referencer.Line> lines = (List<Referencer.Line>) inputElement;
+		return lines.toArray();
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see org.eclipse.jface.viewers.IContentProvider#dispose()
+	 */
+	@Override
+	public void dispose() {
+		// TODO Auto-generated method stub
+
+	}
+
+	/*
+	 * (non-Javadoc)
+	 * 
+	 * @see
+	 * org.eclipse.jface.viewers.IContentProvider#inputChanged(org.eclipse.jface
+	 * .viewers.Viewer, java.lang.Object, java.lang.Object)
+	 */
+	@Override
+	public void inputChanged(Viewer viewer, Object oldInput, Object newInput) {
+		// TODO Auto-generated method stub
+	}
+
+}

Property changes on: tmp/org.txm.referencer.rcp/src/org/txm/referencer/rcp/editors/LineContentProvider.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/build.properties
===================================================================
--- tmp/org.txm.referencer.rcp/build.properties	(revision 0)
+++ tmp/org.txm.referencer.rcp/build.properties	(revision 632)
@@ -0,0 +1,7 @@
+source.. = src/
+output.. = bin/
+bin.includes = META-INF/,\
+               .,\
+               plugin.xml,\
+               icons/,\
+               OSGI-INF/

Property changes on: tmp/org.txm.referencer.rcp/build.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/OSGI-INF/l10n/bundle.properties
===================================================================
--- tmp/org.txm.referencer.rcp/OSGI-INF/l10n/bundle.properties	(revision 0)
+++ tmp/org.txm.referencer.rcp/OSGI-INF/l10n/bundle.properties	(revision 632)
@@ -0,0 +1,3 @@
+command.name.57 = RefToConc
+editor.name.14=Referencer
+command.name.44=References
\ No newline at end of file

Property changes on: tmp/org.txm.referencer.rcp/OSGI-INF/l10n/bundle.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/OSGI-INF/l10n/bundle_ru.properties
===================================================================
--- tmp/org.txm.referencer.rcp/OSGI-INF/l10n/bundle_ru.properties	(revision 0)
+++ tmp/org.txm.referencer.rcp/OSGI-INF/l10n/bundle_ru.properties	(revision 632)
@@ -0,0 +1,2 @@
+editor.name.14=Мастер ссылок
+command.name.44=Ссылки
\ No newline at end of file

Property changes on: tmp/org.txm.referencer.rcp/OSGI-INF/l10n/bundle_ru.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/OSGI-INF/l10n/bundle_fr.properties
===================================================================
--- tmp/org.txm.referencer.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 0)
+++ tmp/org.txm.referencer.rcp/OSGI-INF/l10n/bundle_fr.properties	(revision 632)
@@ -0,0 +1,2 @@
+editor.name.14=Référenceur
+command.name.44=Références
\ No newline at end of file

Property changes on: tmp/org.txm.referencer.rcp/OSGI-INF/l10n/bundle_fr.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/icons/functions/referencer.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: tmp/org.txm.referencer.rcp/icons/functions/referencer.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: tmp/org.txm.referencer.rcp/plugin.xml
===================================================================
--- tmp/org.txm.referencer.rcp/plugin.xml	(revision 0)
+++ tmp/org.txm.referencer.rcp/plugin.xml	(revision 632)
@@ -0,0 +1,118 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<?eclipse version="3.4"?>
+<plugin>
+   <extension
+         point="org.eclipse.ui.editors">
+               <editor
+            class="org.txm.referencer.rcp.editors.ReferencerEditor"
+            default="false"
+            icon="icons/functions/referencer.png"
+            id="org.txm.referencer.rcp.editors.ReferencerEditor"
+            name="%editor.name.14">
+      </editor>
+   </extension>
+   <extension
+         point="org.eclipse.ui.menus">
+               <menuContribution
+                     locationURI="menu:menu.tools">
+                     <command
+                  commandId="org.txm.referencer.rcp.handlers.ComputeReferencer"
+                  icon="icons/functions/referencer.png"
+                  style="push">
+               <visibleWhen
+                     checkEnabled="false">
+                  <reference
+                        definitionId="OneCorpusSelected">
+                  </reference>
+               </visibleWhen>
+            </command>
+               </menuContribution>
+               <menuContribution
+                     allPopups="false"
+                     locationURI="toolbar:org.txm.rcp.toolbartools">
+                  <command
+                        commandId="org.txm.referencer.rcp.handlers.ComputeReferencer"
+                        icon="icons/functions/referencer.png"
+                        style="push">
+                     <visibleWhen
+                           checkEnabled="false">
+                        <reference
+                              definitionId="OneCorpusSelected">
+                        </reference>
+                     </visibleWhen>
+                  </command>
+               </menuContribution>
+               <menuContribution
+                     allPopups="false"
+                     locationURI="popup:org.txm.rcp.views.corpora.CorporaView">
+                  <command
+                        commandId="org.txm.referencer.rcp.handlers.ComputeReferencer"
+                        icon="icons/functions/referencer.png"
+                        style="push">
+                     <visibleWhen
+                           checkEnabled="false">
+                        <reference
+                              definitionId="OneCorpusSelected">
+                        </reference>
+                     </visibleWhen>
+                  </command>
+               </menuContribution>
+               <menuContribution
+            locationURI="popup:ReferencerEditorContextMenu">
+         <command
+               commandId="org.txm.referencer.rcp.handlers.ReferencerToConc"
+               style="push">
+         </command>
+      </menuContribution>
+   </extension>
+   <extension
+         point="org.eclipse.ui.commands">
+         <command
+            defaultHandler="org.txm.referencer.rcp.handlers.ReferencerToConc"
+            id="org.txm.referencer.rcp.handlers.ReferencerToConc"
+            name="%command.name.57">
+      </command>
+      
+            <command
+            categoryId="org.txm.rcp.category.txm"
+            defaultHandler="org.txm.referencer.rcp.handlers.ComputeReferencer"
+            id="org.txm.referencer.rcp.handlers.ComputeReferencer"
+            name="%command.name.44">
+      </command>
+   </extension>
+   <extension
+         point="org.eclipse.core.expressions.definitions">
+       <definition
+                  id="OneReferencerSelected">
+               <with
+                     variable="selection">
+                  <iterate
+                        ifEmpty="false"
+                        operator="and">
+                     <instanceof
+                           value="org.txm.referencer.core.functions.Referencer">
+                     </instanceof>
+                  </iterate>
+               </with>
+            </definition>
+   </extension>
+   <extension
+         point="org.eclipse.core.runtime.adapters">
+       <factory
+       adaptableType="org.txm.referencer.core.functions.Referencer"
+       class="org.txm.referencer.rcp.adapters.ReferencerAdapterFactory">
+    <adapter
+          type="org.eclipse.ui.model.IWorkbenchAdapter">
+    </adapter>
+ </factory>
+   </extension>
+   <extension
+         point="org.eclipse.ui.preferencePages">
+            <page
+            category="org.txm.rcp.preferences.UserPreferencePage"
+            class="org.txm.referencer.rcp.preferences.ReferencerPreferencePage"
+            id="org.txm.referencer.rcp.preferences.ReferencerPreferencePage"
+            name="Referencer">
+      </page>
+   </extension>
+</plugin>

Property changes on: tmp/org.txm.referencer.rcp/plugin.xml
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/.settings/org.eclipse.jdt.core.prefs
===================================================================
--- tmp/org.txm.referencer.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 0)
+++ tmp/org.txm.referencer.rcp/.settings/org.eclipse.jdt.core.prefs	(revision 632)
@@ -0,0 +1,7 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
+org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=1.6

Property changes on: tmp/org.txm.referencer.rcp/.settings/org.eclipse.jdt.core.prefs
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/.classpath
===================================================================
--- tmp/org.txm.referencer.rcp/.classpath	(revision 0)
+++ tmp/org.txm.referencer.rcp/.classpath	(revision 632)
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+	<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**"/>
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>

Property changes on: tmp/org.txm.referencer.rcp/.classpath
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 0)
+++ tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF	(revision 632)
@@ -0,0 +1,23 @@
+Manifest-Version: 1.0
+Bundle-ManifestVersion: 2
+Bundle-Name: Referencer RCP
+Bundle-SymbolicName: org.txm.referencer.rcp;singleton:=true
+Bundle-Version: 1.0.0.qualifier
+Require-Bundle: org.txm.utils;bundle-version="1.0.0",
+ org.txm.referencer.core;bundle-version="1.0.0",
+ org.txm.concordance.core;bundle-version="1.0.0",
+ org.txm.searchengine.cqp.core;bundle-version="1.1.0",
+ org.txm.concordance.rcp;bundle-version="1.0.0",
+ org.txm.statsengine.r.rcp;bundle-version="1.0.0",
+ org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.txm.core;bundle-version="0.7.0",
+ org.txm.rcp;bundle-version="0.7.8",
+ org.eclipse.core.expressions;bundle-version="3.4.600",
+ org.txm.searchengine.core;bundle-version="1.0.0"
+Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-ActivationPolicy: lazy
+Export-Package: org.txm.referencer.rcp.adapters,
+ org.txm.referencer.rcp.editors,
+ org.txm.referencer.rcp.handlers,
+ org.txm.referencer.rcp.preferences

Property changes on: tmp/org.txm.referencer.rcp/META-INF/MANIFEST.MF
___________________________________________________________________
Added: svn:mime-type
   + text/plain

